| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | List of all members
Streamlog Class Reference

`#include <streamlog.h>`

Inheritance diagram for Streamlog:

## Public Member Functions
| Streamlog (SerialPortType *_serialPort, uint8_t _severity=LOG_DEBUG, uint8_t _ledPattern=0)
void | begin (unsigned long speed)
void | end ()
int | available (void)
int | peek (void)
int | read (void)
void | flush (void)
size_t | write (uint8_t ch)
| operator bool ()

## Constructor & Destructor Documentation

## ◆ Streamlog()

Streamlog::Streamlog | ( | SerialPortType * | _serialPort,
|  | uint8_t | _severity = `LOG_DEBUG`,
|  | uint8_t | _ledPattern = `0`
| ) |  |

## Member Function Documentation

## ◆ available()

int Streamlog::available | ( | void |  | ) |

## ◆ begin()

void Streamlog::begin | ( | unsigned long | speed | ) |

## ◆ end()

void Streamlog::end | ( |  | ) |

## ◆ flush()

void Streamlog::flush | ( | void |  | ) |

## ◆ operator bool()

Streamlog::operator bool | ( |  | ) |
| inline

## ◆ peek()

int Streamlog::peek | ( | void |  | ) |

## ◆ read()

int Streamlog::read | ( | void |  | ) |

## ◆ write()

size_t Streamlog::write | ( | uint8_t | ch | ) |

The documentation for this class was generated from the following files:

- streamlog.h
- streamlog.cpp